Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.clfs.gda.ones

`mvpa2.clfs.gda.``ones`(shape, dtype=None, order='C')

  Return a new array of given shape and type, filled with ones.

  Parameters:

  shape : int or sequence of ints

  > Shape of the new array, e.g., `(2, 3)` or `2`.

  dtype : data-type, optional

  > The desired data-type for the array, e.g., `numpy.int8`. Default is `numpy.float64`.

  order : {‘C’, ‘F’}, optional

  > Whether to store multidimensional data in C- or Fortran-contiguous (row- or column-wise) order in memory.

  Returns:

  out : ndarray

  > Array of ones with the given shape, dtype, and order.

  See also

  `zeros`, `ones_like`

  Examples

      >>> np.ones(5)
      array([ 1.,  1.,  1.,  1.,  1.])

      >>> np.ones((5,), dtype=np.int)
      array([1, 1, 1, 1, 1])

      >>> np.ones((2, 1))
      array([[ 1.],
             [ 1.]])

      >>> s = (2,2)
      >>> np.ones(s)
      array([[ 1.,  1.],
             [ 1.,  1.]])

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »